package com.neusoft.smart.pos.payment.persistent.mapper;

import com.neusoft.smart.pos.payment.persistent.domain.MchPayInfo;
import com.neusoft.smart.pos.payment.persistent.domain.MchPayInfoExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface MchPayInfoMapper {
    int countByExample(MchPayInfoExample example);

    int deleteByExample(MchPayInfoExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(MchPayInfo record);

    int insertSelective(MchPayInfo record);

    List<MchPayInfo> selectByExample(MchPayInfoExample example);

    MchPayInfo selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") MchPayInfo record, @Param("example") MchPayInfoExample example);

    int updateByExample(@Param("record") MchPayInfo record, @Param("example") MchPayInfoExample example);

    int updateByPrimaryKeySelective(MchPayInfo record);

    int updateByPrimaryKey(MchPayInfo record);
}